Vanilla Development Mailing List Archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

CVS update: Vanilla/rpm



Date:	Wednesday July 21, 1999 @ 2:09
Author:	tanner

Update of /home/netrek/cvsroot/Vanilla/rpm
In directory cvs.castle.real-time.com:/var/tmp/cvs-serv13855/rpm

Modified Files:
	netrek.crontab 
Log Message:
	* rpm/netrek.crontab: Only update the keys if CONFIRM > 0, mean RSA or RSA and Reserve.



****************************************

Index: Vanilla/rpm/netrek.crontab
diff -u Vanilla/rpm/netrek.crontab:1.4 Vanilla/rpm/netrek.crontab:1.5
--- Vanilla/rpm/netrek.crontab:1.4	Fri Jul 16 16:04:55 1999
+++ Vanilla/rpm/netrek.crontab	Wed Jul 21 02:09:22 1999
@@ -1,3 +1,24 @@
 #!/bin/bash
 
-su -c "/usr/games/netrek/tools/updatekeys" - games
+confirm=`grep CONFIRM /usr/games/netrek/.sysdef`
+
+#
+# Should ALWAYS be in there, but check just in case
+#
+if [ $? -ne 0 ]; then
+  exit 0
+fi
+
+#
+# What is the value of CONFIRM?
+#
+num=`echo $confirm | cut -d '=' -f2`
+if [ $? -ne 0 ]; then
+  exit 0
+fi
+
+if [ $string -gt 0 ]; then
+  su -c "/usr/games/netrek/tools/updatekeys" - games
+fi
+
+exit 0